; $Workfile: OtxVecs.asm $   $Revision: 20 $    $Modtime: 2/25/00 3:28p $
;*------------------------------------------------------- File Description -*\
;
;   Odin TeleSystems Inc.
;
;   SAA-1007-1 OTX DSP C54x Software Development Kit (SDK)
;
;   C54x Interrupt vectors
;
;*--------------------------------------------------------------------------*/

******************************************
*       Interrupt Vectors
******************************************
        .global _c_int00
        .global _c_int17,_c_int19,_c_int20,_c_int21,_c_int22,_c_int23,_c_int25

        .sect   "vectors"

        b       _c_int00        ;reset vector
        nop
        nop


nmi:    NOP                              ; ~NMI
        NOP
        NOP
        RET

* software interrupts
sint17  .space  4*16
sint18  .space  4*16
sint19  .space  4*16
sint20  .space  4*16
sint21  .space  4*16
sint22  .space  4*16
sint23  .space  4*16
sint24  .space  4*16
sint25  .space  4*16
sint26  .space  4*16
sint27  .space  4*16
sint28  .space  4*16
sint29  .space  4*16
sint30  .space  4*16

int0:   RETF                    ;34; INT0
        NOP
        NOP
        NOP

int1:   retf                    ;38; INT1   _c_int17
        NOP
        NOP
        NOP

int2:   RETF                    ;42; INT2
        NOP
        NOP
        NOP

TINT    b      _c_int19         ;46; Timer interrupt
        nop
        nop

BRINT0  b      _c_int20         ;50; BSP receive interrupt
        nop
        nop

BXINT0  b      _c_int21         ;54; BSP transmit interrupt
        nop
        nop

TRINT   b      _c_int22         ;58; TDM receive interrupt
        nop
        nop

TXINT   b      _c_int23         ;62; TDM transmit interrupt
        nop
        nop

int3:   RETF                    ;66; INT3
        NOP
        NOP
        NOP

hpiint  B      _c_int25         ;70; HPINT
        NOP
        NOP

        .end

